Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 416 - Problem with ARP binary.
Summary: Problem with ARP binary.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-14 20:29 UTC by Marc MERLIN
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-30 02:54:43 UTC


Attachments (Terms of Use)

Description Marc MERLIN 1998-12-14 20:29:57 UTC
In case you didn't see this in linux-kernel. I don't know
if RH 5.2 is affected:
(BTW, bugzilla doesn't have net-tools in the list of
packages)

From: olaf@bigred.inka.de (Olaf Titz)
Newsgroups: lists.linux.kernel
Subject: Re: [2.0.36] proxy ARP prob?
Date: 13 Dec 1998 08:40:04 -0800
Organization: private Linux site, southern Germany

> Hopefully somebody can point out what I'm doing something
wrong here.
> I'm trying to put a permanent entry into the ARP cache for
a network,
> on interface eth1.  For some reason it really likes eth0
instead.

Red Hat's arp binary is broken, because of the $@{%*#!'"
glibc
compatibility problems. I discovered that the hard way
recently. Get
the net-tools source and remove the ifdefs around the
defines of
HAVE_NEW_SIOCSARP, HAVE_NEW_ADDRT, HAVE_RTF_IRTT,
HAVE_RTF_REJECT in
lib/net.-features.h. (The newest net-tools apparently does
arp right
out of the box but its netstat seems to be broken. Sigh.)

Olaf

Comment 1 Jeff Johnson 1998-12-30 02:54:59 UTC
In net-tools-1.49, "netstat --version" indicates that these
defines are enabled.


Note You need to log in before you can comment on or make changes to this bug.